[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TNamedItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Named collection item

## Declaration

Source position: db.pas line 134

`type TNamedItem = class(TCollectionItem)`
`public`
`property DisplayName: string; [rw]` |  | Display name
`published`
`property Name: string; [rw]` |  | Name of the item
`end;`

## Inheritance

`TNamedItem` |  | Named collection item
`TCollectionItem`
`TPersistent,IFPObserved`
`TObject`

## Description

NamedItem is a TCollectionItem descendent which introduces a Name property. It automatically returns the value of the Name property as the value of the DisplayName property.

## See also

DisplayName |  | Display name
Name |  | Name of the item